Name:           ocamlfuse
Version:        2.7.1
Release:        %mkrel 1
Summary:        Ocaml FUSE binding
Group:          Development/OCaml
License:        GPLv2
Url:            https://github.com/astrada/ocamlfuse/
Source:         https://github.com/astrada/ocamlfuse/archive/v2.7.1_cvs2/%{name}-%{version}_cvs2.tar.gz
BuildRequires:  fuse-devel
BuildRequires:  ocaml
BuildRequires:  ocaml-camlidl
BuildRequires:  ocaml-camlidl-devel
BuildRequires:  ocaml-findlib
BuildRequires:  perl

%description
This is a binding to fuse for the ocaml programming language, enabling
you to write multithreaded filesystems in the ocaml language. It has
been designed with simplicity as a goal, as you can see by looking at
example/fusexmp.ml. Efficiency has also been a separate goal. The
Bigarray library is used for read and writes, allowing the library to
do zero-copy in ocaml land.

%prep
%setup -q -n %{name}-%{version}_cvs2

%build
cd lib
#Disable warnings to avoid spurious message about 64 bit compatibility
#due to a missing cast in a macro
#using _smp_mflags here results in failed builds
make CFLAGS="-w -D_FILE_OFFSET_BITS=64 -fPIC" all

%install
%{__mkdir_p} %{buildroot}/%{_libdir}/ocaml
%{__mkdir_p} %{buildroot}/%{_libdir}/ocaml/Fuse
%{__mkdir_p} %{buildroot}/%{_libdir}/ocaml/caml
%{__mkdir_p} %{buildroot}/%{_libdir}/ocaml/stublibs
%{__mkdir_p} %{buildroot}/%{_bindir}

cd lib
make OCAMLLIB=%{buildroot}/%{_libdir}/ocaml\
     OCAMLFIND_INSTFLAGS="-destdir %{buildroot}/%{_libdir}/ocaml"\
     BINDIR=%{buildroot}/%{_bindir} \
     install

%files
%license LICENSE
%{_libdir}/ocaml/Fuse/
%{_libdir}/ocaml/stublibs/*


%changelog
* Sun Oct 23 2016 joequant <joequant> 2.7.1-1.mga6
+ Revision: 1063264
- spec tweaks
- imported package ocamlfuse

